Обновления установка

Автор: b227 Дата: 03.02.2010 21:49 скачал с ftp обновления. yum list updates - все проходит без ошибок. однако, yum update выдает:
Error Downloading Packages:
unixODBC-2.2.12-7.0.140asp.i386: failure: Packages/unixODBC-2.2.12-7.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
libofa-0.9.3-13.0.140asp.i386: failure: Packages/libofa-0.9.3-13.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
comps-extras-13-1.0.140asp.noarch: failure: Packages/comps-extras-13-1.0.140asp.noarch.rpm from asplinux: [Errno 256] No more mirrors to try.
mtools-3.9.11-4.0.140asp.i386: failure: Packages/mtools-3.9.11-4.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
libexif-devel-0.6.16-1.0.140asp.i386: failure: Packages/libexif-devel-0.6.16-1.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
OpenEXR-libs-1.6.1-3.0.140asp.i386: failure: Packages/OpenEXR-libs-1.6.1-3.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
aalib-libs-1.4.0-0.15.rc5.0.140asp.i386: failure: Packages/aalib-libs-1.4.0-0.15.rc5.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
libusb-devel-0.1.12-15.0.140asp.i386: failure: Packages/libusb-devel-0.1.12-15.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
ilmbase-1.0.1-2.0.140asp.i386: failure: Packages/ilmbase-1.0.1-2.0.140asp.i386.rpm from asplinux: [Errno 256] No more mirrors to try.
в списке обновлений таких файлов нет Грустный
Re: обновления установка 03.02.2010 22:13BigAndy Добавьте другие репозитариии, обеспечте доступность тех, которые прописаны или удалите эти пакеты из yum, если они не нужны

скачал с ftp обновления

Стесняюсь спросить: а репозитарий со скачанного создали? А yumна локальный репозитарий перестроили?
Вышеописанные файлы точно есть у вас в репозитарии или доступны на других зеркалах?
Re: обновления установка 04.02.2010 09:40b227 createrepo сделал, yum.conf исправил, эти файлики есть на установочном диске, на них путь тоже прописан
yum.conf
[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
installonly_limit=3
[redhat-os]
name=ASPLinux $releasever - $basearch
baseurl=file:///home/base
gpgcheck=1
enabled = 0

[asplinux-updates]
name=ASPLinux $releasever - $basearch - Updates
baseurl=file:///home/i386
gpgcheck=1
enabled = 0


[asplinux-updates]
name=ASPLinux $releasever - $basearch - Updates
# Moscow
baseurl=file:///home/i386
# download.asplinux.ru/$basearch/updates/$releasever/$basearch
# UA-IX only
# baseurl=ftp://ftp.asplinux.com.ua/pub/$basearch/updates/$releasever/$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-asplinux

asplinux-updates.repo

[asplinux-updates-source]
name=ASPLinux $releasever - $basearch - Updates Source
baseurl=file:///home/base/
# [download.asplinux.ru]
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-asplinux

[asplinux]
name=ASPLinux $releasever - $basearch
# Moscow
baseurl=file:///home/base/
# [download.asplinux.ru]
# UA-IX only
#baseurl=ftp://ftp.asplinux.com.ua/pub/$basearch/RPMS.$releasever/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-asplinux

asplinux.repo

[asplinux-source]
name=ASPLinux $releasever - $basearch - Source
baseurl=file:///home/base/
# [download.asplinux.ru]
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-asplinux
Re: обновления установка 04.02.2010 13:46dgv Замените enabled=0 на enabled=1 для своих репозиториев и счастье вам улыбнется
Re: обновления установка 04.02.2010 14:40b227 попробую, но счастье улыбнулось после установки этих пакетов вручную до обновления. теперь х-сы пропали Улыбка
Re: обновления установка 04.02.2010 20:13BigAndy Иксы или gnome?
Re: обновления установка 05.02.2010 09:06b227 startx (gnome) вываливается с ошибкой (при апгрейде че-то ругнулось на гноме), до этого драйвер был вер. 190,53 (видик gf240), теперь он упорно устанавливается на старое ядро, а с новым соотв. никак не грузится
Re: обновления установка 05.02.2010 10:34BigAndy
Цитата:
(при апгрейде че-то ругнулось на гноме

О чем именно?
kmod установили?
Re: обновления установка 05.02.2010 10:48Pauli В вышеприведенном конфиге секция [asplinux-updates] упоминается дважды. Мне трудно объяснить последствия, но я как-то уже подобную ошибку допускал. С подобными же последствиями. Переименуйте одну из секций во что-нибудь более другое.
Re: обновления установка 05.02.2010 13:15b227 kmod установлен. поправил вручную xorg, все заработало, но т.к. на этом пк уже много опытов проделал, то возможны и ошибки. завтра возьму другой пк и попробую все по-новой . и еще: на i3 кобальт не ставится (после форматирования, не находит dvd), а на i5 все идет на ура. конфигурации отличаются только процессором.
RSS-материал